# WaveConViT

This is a repository containing the architecture as well as select model checkpoints of **WaveConViT: Wavelet-Based Convolutional Vision Transformer for Cross-Manipulation Deepfake Video Detection**, published at *The 3rd Workshop on MultiMedia FORensics in the WILD*, an ICPR 2024 workshop.

### TODO
- [ ] Release paper
- [ ] Release model architecture
- [ ] Release select model checkpoints

## Introduction
In this paper, we study the generalization problem in facial deepfake detection.

![WaveConViT architecture.](WaveConViT.png)
*WaveConViT architecture. ⊕ indicates element-wise addition and ⊗ indicates matrix multiplication.*

We introduce WaveConViT, a novel spatio-temporal architecture for deepfake detection based on Vision Transformers and a two-dimensional discrete wavelet transform.

Additionally, we introduce and evaluate a temporal sampling strategy based on frame skipping.

## Datasets
We train WaveConViT end-to-end on [FaceForensics++](https://arxiv.org/abs/1901.08971) in a binary image sequence classification task.

Cross-manipulation testing is done on [Celeb-DF](https://arxiv.org/abs/1909.12962) and [DeeperForensics-1.0](https://arxiv.org/abs/2001.03024) (standard set).